Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class AreaFormatRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.AreaFormatRecord

public class AreaFormatRecord
extends Record

The area format record is used to define the colours and patterns for an area. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`AreaFormatRecord()`
`AreaFormatRecord(short id, short size, byte[] data)` Constructs a AreaFormat record and sets its fields appropriately.
`AreaFormatRecord(short id, short size, byte[] data, int offset)` Constructs a AreaFormat record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` | `getBackcolorIndex()` Get the backcolor index field for the AreaFormat record.
`int` | `getBackgroundColor()` Get the background color field for the AreaFormat record.
`short` | `getForecolorIndex()` Get the forecolor index field for the AreaFormat record.
`int` | `getForegroundColor()` Get the foreground color field for the AreaFormat record.
`short` | `getFormatFlags()` Get the format flags field for the AreaFormat record.
`short` | `getPattern()` Get the pattern field for the AreaFormat record.
`int` | `getRecordSize()` Size of record (exluding 4 byte header)
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isAutomatic()` automatic formatting
`boolean` | `isInvert()` swap foreground and background colours when data is negative
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setAutomatic(boolean value)` Sets the automatic field value.
`void` | `setBackcolorIndex(short field_6_backcolorIndex)` Set the backcolor index field for the AreaFormat record.
`void` | `setBackgroundColor(int field_2_backgroundColor)` Set the background color field for the AreaFormat record.
`void` | `setForecolorIndex(short field_5_forecolorIndex)` Set the forecolor index field for the AreaFormat record.
`void` | `setForegroundColor(int field_1_foregroundColor)` Set the foreground color field for the AreaFormat record.
`void` | `setFormatFlags(short field_4_formatFlags)` Set the format flags field for the AreaFormat record.
`void` | `setInvert(boolean value)` Sets the invert field value.
`void` | `setPattern(short field_3_pattern)` Set the pattern field for the AreaFormat record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### AreaFormatRecord

    public AreaFormatRecord()

### AreaFormatRecord

    public AreaFormatRecord(short id,
                            short size,
                            byte[] data)

  Constructs a AreaFormat record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x100a or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### AreaFormatRecord

    public AreaFormatRecord(short id,
                            short size,
                            byte[] data,
                            int offset)

  Constructs a AreaFormat record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x100a or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getForegroundColor

    public int getForegroundColor()

  Get the foreground color field for the AreaFormat record.

### setForegroundColor

    public void setForegroundColor(int field_1_foregroundColor)

  Set the foreground color field for the AreaFormat record.

### getBackgroundColor

    public int getBackgroundColor()

  Get the background color field for the AreaFormat record.

### setBackgroundColor

    public void setBackgroundColor(int field_2_backgroundColor)

  Set the background color field for the AreaFormat record.

### getPattern

    public short getPattern()

  Get the pattern field for the AreaFormat record.

### setPattern

    public void setPattern(short field_3_pattern)

  Set the pattern field for the AreaFormat record.

### getFormatFlags

    public short getFormatFlags()

  Get the format flags field for the AreaFormat record.

### setFormatFlags

    public void setFormatFlags(short field_4_formatFlags)

  Set the format flags field for the AreaFormat record.

### getForecolorIndex

    public short getForecolorIndex()

  Get the forecolor index field for the AreaFormat record.

### setForecolorIndex

    public void setForecolorIndex(short field_5_forecolorIndex)

  Set the forecolor index field for the AreaFormat record.

### getBackcolorIndex

    public short getBackcolorIndex()

  Get the backcolor index field for the AreaFormat record.

### setBackcolorIndex

    public void setBackcolorIndex(short field_6_backcolorIndex)

  Set the backcolor index field for the AreaFormat record.

### setAutomatic

    public void setAutomatic(boolean value)

  Sets the automatic field value. automatic formatting

### isAutomatic

    public boolean isAutomatic()

  automatic formatting

  Returns:
    the automatic field value.

### setInvert

    public void setInvert(boolean value)

  Sets the invert field value. swap foreground and background colours when data is negative

### isInvert

    public boolean isInvert()

  swap foreground and background colours when data is negative

  Returns:
    the invert field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.